GDB (xrefs)

Typedefs | Functions
/tmp/gdb-8.1/gdb/windows-nat.h File Reference

Go to the source code of this file.

## Typedefs
typedef int() | segment_register_p_ftype(int regnum)

## Functions
void | windows_set_context_register_offsets (const int *offsets)
void | windows_set_segment_register_p (segment_register_p_ftype *fun)

## Typedef Documentation

## ◆ segment_register_p_ftype

typedef int() segment_register_p_ftype(int regnum)

Definition at line 25 of file windows-nat.h.

## Function Documentation

## ◆ windows_set_context_register_offsets()

void windows_set_context_register_offsets | ( | const int * | offsets | ) |

Definition at line 309 of file windows-nat.c.

References mappings.

Referenced by _initialize_amd64_windows_nat(), and _initialize_i386_windows_nat().

## ◆ windows_set_segment_register_p()

void windows_set_segment_register_p | ( | segment_register_p_ftype * | fun | ) |

Definition at line 317 of file windows-nat.c.

References segment_register_p.

Referenced by _initialize_amd64_windows_nat(), and _initialize_i386_windows_nat().